#
#
# machine information, requiring a movement of 0-Byte (for testing)
# 
#
#
#

import sys

from buzz import *

line = "MachineInfo loaded \nMove 0-Byte slider (once is enough) to initalize"
print line

kee = r"=================================================="

def OnParameter(track,index,value):

	global kee

	if (index == 1): 

		x = GetMachineNames()
		
		for i in range(len(x)) :
		
			print "%s \n %s MachineInfo: \n%s \n " % (kee,x[i],kee)
			da = GetMachine(x[i])
			y = GetMachineInfo (da)
			z = UnpackMachineInfo(y)
			print z[7]	
					
	
SetEventTarget("OnParameter",OnParameter)

SetPeerCtrlName(0,"useless")

